tigase.jaxmpp.core.client.xmpp.modules

## Interface PacketWriterAware

- All Known Implementing Classes:
    MessageArchiveManagementModule, MessageArchivingModule

      public interface PacketWriterAware

  Interface should be implemented by module if PacketWriter should be injected to this module.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setPacketWriter(PacketWriter packetWriter)` Set PacketWriter.

- - ### Method Detail

    - #### setPacketWriter

          void setPacketWriter(PacketWriter packetWriter)

      Set PacketWriter.
      Parameters:
        `packetWriter` - PacketWriter

Copyright © 2006–2020 Tigase. All rights reserved.